local M = {}

local start = true

function findFiles()
    local i, t, popen = 0, {}, io.popen
    local pfile = popen('dir "C:/Users/Alex/Documents/BeamNG.drive/CarGamesModelFiles"')
    for filename in pfile:lines() do
        i = i + 1
        t[i] = filename
    end
    pfile:close()
    return t
end

local function placeModels(m, l)
	for i = 1, l do 
		TorqueScript.eval([[
			new TSStatic(test]]..i..[[) {
			  shapeName = "levels/smallgrid/art/procGen/scenery/]]..trackType[1]..[[/]]..trackType[2]..[[.dae";
			  position = "1 0 0 0";
			  collisionType = "Visible Mesh Final";
			  decalType = "Visible Mesh Final";
		   };
		]])
	end
end


local function onRaceStart(dt)
	if start then
		local models, length = findFiles()
		print(models, length)
		--placeModels(models, length)
		start = false
	end
end

M.onRaceStart = onRaceStart
return M